Convenience class for reading console input.

author | Hans Lellelid
author | Matthew Hershberger
version | $Id$
package | phing.system.io

### Methods

## Close stream.

    close()

### Exceptions

`\IOException` | if there is an error closing stream

## Whether eof has been reached with stream.

    eof() : boolean

### Returns

`boolean`

## Returns path to file we are reading.

    getResource() : string

that is being read from. This is critical for, e.g., ExpatParser's ability to know the filename that is throwing an ExpatParserException, etc.

### Returns

`string`

## If supported, places a "marker" (like a bookmark) at current stream position.

    mark()

Inherited

A subsequent call to reset() will move stream position back to last marker (if supported).

inherited_from | \Reader::mark()

## Whether marking is supported.

    markSupported() : boolean

Inherited

inherited_from | \Reader::markSupported()

### Returns

`boolean`

## open()

    open()

## Read data from source.

    read(int $len) : string

If length is specified, then only that number of chars is read, otherwise stream is read until EOF.

### Parameters

#### $len

`int`

Num chars to read.

### Returns

`string`chars read or -1 if eof.

## readLine()

    readLine()

## Is stream ready for reading.

    ready() : boolean

Inherited

inherited_from | \Reader::ready()

### Returns

`boolean`

## Reset the current position in stream to beginning or last mark (if supported).

    reset()

Inherited

inherited_from | \Reader::reset()

## Move stream position relative to current pos.

    skip(int $n)

Inherited

inherited_from | \Reader::skip()

### Parameters

#### $n

`int`